/*
 * @Author: WangQiBiao
 * @LastEditors: WuWei
 * @Description: 全局参数设置
 * @Date: 2019-03-12 09:40:46
 * @LastEditTime: 2019-06-14 11:24:44
 */
const REQUEST_MATCHING_HASH = `/9ad134a361f8d778` // 【9ad134a361f8d778 = 前端服务，用于后端接口匹配】

export default {
  /**
     * @description token在Cookie中存储的天数，默认1天
     */
  cookieExpires: 1,
  /**
     * @description 是否使用国际化，默认为false
     *              如果不使用，则需要在路由中给需要在菜单中展示的路由设置meta: {title: 'xxx'}
     *              用来在菜单中显示文字
     */
  useI18n: false,
  /**
     * @description api请求基础路径
     */
  baseUrl: {
    pro: `${REQUEST_MATCHING_HASH}`, // 生产环境
    test: `${REQUEST_MATCHING_HASH}` // 测试环境
  },
  // 图片路径
  fileUrl: process.env.NODE_ENV === 'production' ? `${REQUEST_MATCHING_HASH}` : 'http://139.159.229.250:8161',
  // 导出文件路径
  exportUrl: process.env.NODE_ENV === 'production' ? `${REQUEST_MATCHING_HASH}` : '/api',
  /**
     * 输入框最长值
     */
  maxTextNum: 20
}
